Library Version 11.2.5.3

DB_MPOOLFILE->get_clear_len()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_MPOOLFILE->get_clear_len()

    #include <db.h>

    int
    DB_MPOOLFILE->get_clear_len(DB_MPOOLFILE *mpf, u_int32_t *lenp);

The `DB_MPOOLFILE->get_clear_len()` method returns the bytes to be cleared.

The `DB_MPOOLFILE->get_clear_len()` method may be called at any time during the life of the application.

The `DB_MPOOLFILE->get_clear_len()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### lenp

The `DB_MPOOLFILE->get_clear_len()` method returns the bytes to be cleared in lenp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods

Prev | Up | Next
DB_MPOOLFILE->sync() | Home | DB_MPOOLFILE->get_fileid()